From 946291c8d56c01d634c0f032a8fc52b2bf8febf5 Mon Sep 17 00:00:00 2001
From: Jo-Philipp Wich <jow@openwrt.org>
Date: Fri, 22 Jan 2010 00:58:52 +0000
Subject: [PATCH] mac80211: fix spurious error return codes in
 enable_mac80211()

SVN-Revision: 19265
---
 package/mac80211/files/lib/wifi/mac80211.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/package/mac80211/files/lib/wifi/mac80211.sh b/package/mac80211/files/lib/wifi/mac80211.sh
index ca38805f7a..cd03b3082c 100644
--- a/package/mac80211/files/lib/wifi/mac80211.sh
+++ b/package/mac80211/files/lib/wifi/mac80211.sh
@@ -408,7 +408,7 @@ enable_mac80211() {
 		start_hostapd=1
 	done
 
-	[ -n "$start_hostapd" ] || return
+	[ -n "$start_hostapd" ] || return 0
 
 	hostapd -P /var/run/wifi-$phy.pid -B /var/run/hostapd-$phy.conf || {
 		echo "Failed to start hostapd for $phy"
-- 
GitLab